
Redmine - Defect #1304

No data to display

2008-05-26 18:18 - José Carlos Monteiro

Status: Closed Start date: 2008-05-26

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Forums Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 0.7.1

Description

I've created a forum entry for a project. Since it's the first one, Redmine only has 1 forum entry associated for the project, the tab

Forums displays - wrongly - that there's no data to display. It seems a real bug since after I create the second entry, Redmine now

has 2 forums associated with a project, then both are displayed and the correct number of topics and messages is also displayed.

But now, when I enter a forum with topics (and messages) the result is still No Data to Display.

History

#1 - 2008-05-26 21:44 - Jean-Philippe Lang

I've created a forum entry for a project. Since it's the first one, Redmine only has 1 forum entry associated for the project, the tab Forums

displays - wrongly - that there's no data to display.

 When you have only 1 forum, Redmine displays its message list when you click on the Forums tab rather than the forum list (since you have only one

forum, the forum list would not be very usefull). So you see 'No data to display' because there is no message in your newly created forum.

But now, when I enter a forum with topics (and messages) the result is still No Data to Display.

 I'm not sure to understand your problem. This seems to work fine for me.

Could you attach some screenshots please (forum list and message list) ?

#2 - 2008-06-23 20:34 - José Carlos Monteiro

- File ForumList.jpg added

- File MessageList.jpg added

I'm attaching two screenshots which clearly demonstrate the problem, as I see it.

#3 - 2008-08-04 20:55 - Jean-Philippe Lang

I'm not able to reproduce this problem.

Could you run Redmine with log level set to debug and then send the log generated when you get the 'no data' message ?

Does this problem occur with the 2 other forums ?

#4 - 2008-08-04 20:56 - Jean-Philippe Lang

Oh, and please give your ruby, rails and database versions.

#5 - 2008-09-02 18:54 - José Carlos Monteiro

- File debug.log added

Ruby: 1.8.6 (2007-09-24 patchlevel 111) [i386-nswin32]

Rails: 2.0.2

SQLite3: 3.5.6

I'm attaching the debug log file, hopefully it will shed some more light into this issue.

Many thanks.
#6 - 2010-06-20 19:22 - Jean-Baptiste Barth

- Status changed from New to Closed

As nobody can reproduce and the issue is very old, I close. Please let us know if you still have this problem on recent versions (0.9.x), and then feel

free to re-open.

Files

ForumList.jpg 60.5 KB 2008-06-23 José Carlos Monteiro

MessageList.jpg 41.6 KB 2008-06-23 José Carlos Monteiro

debug.log 7.2 KB 2008-09-02 José Carlos Monteiro
